Subject: [manet] Comments and Discussions on the MANET list

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 31 May 2012 17:30:31 +0200

Hi Stan,

>But please, let this thread end.

Thank you for your comments. I am sorry not sure which you want me to
end, I am discussing the use of RFC5444 (packet-bb) by manet protocols
in this subject: Re:A view on packet-bb, so I don't see that I am
around. Active Drafts as AODVv2, OLSRv2, DLEP, are using the technique
of packet-bb and I commented on these and related issues. Yes, I am
interested to participate in drafting DSRv2 and will need some time to
find who are interested first using the list, then I open a discussion
about it, if you and group don't mind.

 I understood from the group 83 meeting you mentioned that we need to
discuss the use of RFC5444, and that is what I am doing. So do you
mean that you want to stop the discussion you requested, or do you
mean that we stop discussing OLSRv2-draft because cleared WGLC. If the
last reason, I thought I still can discuss and comment on any thing,
draft or RFC in the list any time as long it relates to MANET group
purposes. Please advise,

AB
++++++++++++++++++++++++++++++++++++++++++++

On 5/31/12, Stan Ratliff <[email-masked]> wrote:
>
> On May 31, 2012, at 10:27 AM, Abdussalam Baryun wrote:
>
>> Hi All,
>>
>> Henning> Not sure why it was ever there, because the mechanism to use
>> source
>>> routing with OLSR was never described in the draft. Feel free to write
>>> an extension draft OLSRv2-with-sourcerouting.
>>> Can you state a reason why you think that source routing is interesting
>>> for you?
>>> I know it makes a lot of trouble, but whats the advantage if every OLSR
>>> node
>>> (as an example) has to store the whole topology anyways?
>>
>> Chris> I agree with Henning, including on his emphasised point.
>>
>> I noticed that OLSRv2-14 draft was presented at 83 meeting and authors
>> proposed it for last call because there are no important issues, so
>> Henning's question still stands: Why someone want source-routing in
>> OLSRv2? and mine is to authors: Why OLSRv2-author did not discussed
>> about how it can be possible this protocol to have hop-by-hop routing
>> and have source-routing techniques before calling for WGLC?  However,
>> I am happy that OLSRv2-15 has deleted it and now I am about to finish
>> my comments on the new draft.
>>
>>> And asking the "WG secretary" isn't a practical idea because
>>> first who is that? and second how would he or she know?  The people to
>>> ask
>>> would be the draft authors - and I'm one of those. If I have the
>>> information
>>> it's buried in a large pile of emails I have zero interest in looking
>>> through.
>>
>> Ok, I don't want to know the person either and don't want to discuss
>> these buried-issues, but I just replied to comments on my interests of
>> DSRv2, and would like to go forward to other better discussions,
>
> This "discussion" seems to be going around and around in circles, and is
> only tangentially related to a document that has cleared WGLC.  If you have
> an interest in some sort of DSRv2, then I would encourage you to author a
> draft and propose it to the WG. But please, let this thread end.
>
> Stan
>
>
>>
>
>> Best Regards
>> AB
>> ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
>> On 5/31/12, Dearlove, Christopher (UK) <[email-masked]>
>> wrote:
>>> It's not in the least important to know who made the source routing
>>> suggestion. And asking the "WG secretary" isn't a practical idea because
>>> first who is that? and second how would he or she know?  The people to
>>> ask
>>> would be the draft authors - and I'm one of those. If I have the
>>> information
>>> it's buried in a large pile of emails I have zero interest in looking
>>> through.
>>>
>>> I'm also afraid that's not the only example of what I'd characterise as
>>> muddled thinking in this and previous posts.
>>>
>>> However I don't choose to discuss this further, I just wanted to make
>>> the
>>> point I made in my last posting, which is done.
>>>
>>> --
>>> Christopher Dearlove
>>> Senior Principal Engineer, Communications Group
>>> Communications, Networks and Image Analysis Capability
>>> BAE Systems Advanced Technology Centre
>>> West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
>>> Tel: +44 1245 242194 |  Fax: +44 1245 242124
>>> [email-masked] | http://www.baesystems.com
>>>
>>> BAE Systems (Operations) Limited
>>> Registered Office: Warwick House, PO Box 87, Farnborough Aerospace
>>> Centre,
>>> Farnborough, Hants, GU14 6YU, UK
>>> Registered in England & Wales No: 1996687
>>>
>>>
>>> -----Original Message-----
>>> From: Abdussalam Baryun [mailto:[email-masked]]
>>> Sent: 31 May 2012 14:40
>>> To: Dearlove, Christopher (UK)
>>> Cc: Henning Rogge; manet; [email-masked]
>>> Subject: Re: [manet] A view on packet-BB
>>>
>>> ----------------------! WARNING ! ----------------------
>>> This message originates from outside our organisation,
>>> either from an external partner or from the internet.
>>> Keep this in mind if you answer this message.
>>> Follow the 'Report Suspicious Emails' link on IT matters
>>> for instructions on reporting suspicious email messages.
>>> --------------------------------------------------------
>>>
>>> Hi Chris,
>>>
>>> I agree and like your statement 'Interesting is not enough, what we
>>> should be doing in an IETF WG is something people want or even need',
>>> however, it should not mean that discussion-list should not include
>>> interests, or motivations, because IMO interests are the most
>>> important thing to start any work in any organisations, yes you or me
>>> may not be interested in something today but some one maybe interested
>>> in it today or tomorrow. However, if we don't remember who mentioned
>>> to include the source routing without knowing how it will be working,
>>> this should not be in our IETF discussion. We should know who is
>>> discussing and who mentions so we can ask him again why you want this
>>> or that, otherwise we have no communication. If this idea was
>>> important I will request the WG secretary to find out who mentioned
>>> the idea of source routing in OLSRv2, so we can see his/her views, so
>>> we can have good discussion in it. I am not interested to know, but I
>>> hope in future we know who put any idea/interest in any manet-draft so
>>> we can question them and the authors in our discussions.
>>>
>>> Regarding puting interests in the list I think it is healthy, but
>>> puting interests-without-discussions into drafts is not healthy in
>>> IETF. The one that mentioned source routing to include in some
>>> OLSRv2-draft had an interest and still authors put it through to the
>>> draft without they knowing if relevant. In my post discussion I am not
>>> asking any one to put my interest in any draft, but I am asking the WG
>>> to think about it, and if someone else is interested, then I will open
>>> discussion about that when knowing that person. Therefore, my
>>> interests will still go through to the discussion list, and hope that
>>> others do the same so we can see more discussion, that in future make
>>> better drafts or even more focused drafts.
>>>
>>> sorry to reply in long message,
>>>
>>> Regards
>>> Abdussalam Baryun,
>>>
>> +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
>> Hi Charlie, and All
>>
>> I don't mind to have DYMO and AODVv2 without divergence, just from the
>> protocol name and draft-understanding, DYMO was derived from AODV+DSR,
>> and from the change of name to AODVv2 it made me think more about the
>> extending of AODV. Therefore, I may suggest that it is interested to
>> see DSRv2 ( which I thought new DYMO may take that direction), and was
>> thinking if the authors of DSR or others in WG are happy to extend
>> that protocol.
>>
>> If we can get a new DSRv2 that is able to use RFC5444 or use a
>> modified format of RFC5444, it will be great. Because if OLSRv2-15 is
>> now deleting its source-routing option as was included in OLSRv2-14,
>> and AODVv2 is not doing source routing, then it is interested to have
>> a routing protocol that is able to source route.
>>
>> Abdussalam Baryun,
>> University of Glamorgan, UK.
>> ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
>> _______________________________________________
>> manet mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/manet
>
>